import { vi, describe, expect, it, beforeAll } from 'vitest';
import { createWrapper, axios } from 'app/test/vitest/helper';
import InvoiceInIntrastat from 'src/pages/InvoiceIn/Card/InvoiceInIntrastat.vue';

describe('InvoiceInIntrastat', () => {
    let vm;

    beforeAll(() => {
        vm = createWrapper(InvoiceInIntrastat, {
            global: {
                stubs: ['vnPaginate'],
                mocks: {
                    fetch: vi.fn(),
                },
            },
        }).vm;
        vi.spyOn(axios, 'get').mockResolvedValue({ data: [{}] });
    });

    describe('getTotal()', () => {
        it('should correctly handle the sum', () => {
            vm.invoceInIntrastat = [
                { amount: 10, stems: 162 },
                { amount: 20, stems: 21 },
            ];

            const totalAmount = vm.getTotal('amount');
            const totalStems = vm.getTotal('stems');

            expect(totalAmount).toBe(10 + 20);
            expect(totalStems).toBe(162 + 21);
        });
    });
});
